digiKam Developer Documentation: Digikam::HidingStateChanger Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | Protected Attributes | List of all members
Digikam::HidingStateChanger Class Reference
Inheritance diagram for Digikam::HidingStateChanger:

## Public Slots
void | changeValue (const QVariant &value)
Public Slots inherited from Digikam::ItemVisibilityController
void | hide ()
void | hideAndRemoveItem (QObject *item)
| Hide the item, and then remove it.
void | hideItem (QObject *item)
void | setDirectlyVisible (bool visible)
void | setItemDirectlyVisible (QObject *item, bool visible)
void | setItemThatShallBeShown (QObject *item)
| Sets a single item to be shown.
void | setItemVisible (QObject *item, bool visible)
void | setShallBeShown (bool shallBeShown)
| Adjusts the first condition - the items are shown if shallBeShown is true and isVisible is true.
void | setShallBeShownDirectly (bool shallBeShown)
void | setVisible (bool visible)
void | show ()
| Adjusts the main condition.
void | showItem (QObject *item)
| Shows or hides a single item.

## Signals
void | finished ()
| Emitted when the items were hidden, the target object's property changed, and the items shown again.
void | stateChanged ()
| Emitted when the items were hidden and the target object's property changed.
Signals inherited from Digikam::ItemVisibilityController
void | hiddenAndRemoved (QObject *item)
| Emitted when hideAndRemoveItem has finished.
void | propertiesAssigned (bool visible)
| Emitted when the (main) transition has finished.
void | propertiesAssignedToItem (QObject *item, bool visible)
| Emitted when a transition for a single item finished (see setItemVisible())

## Public Member Functions
| HidingStateChanger (QObject *const parent=nullptr)
| This class provides a state change while fading in and out: When changeValue is called, first the items are hidden, when this is finished, the property is assigned to the object.
| HidingStateChanger (QObject *const target, const QByteArray &property, QObject *const parent=nullptr)
| Convenience constructor: Sets target and property name.
void | setPropertyName (const QByteArray &propertyName)
void | setTargetObject (QObject *const object)
Public Member Functions inherited from Digikam::ItemVisibilityController
| ItemVisibilityController (QObject *const parent=nullptr)
void | addItem (QObject *const object)
| Add and remove objects.
void | clear ()
| Remove all animations.
bool | hasVisibleItems (IncludeFadingOutMode mode=IncludeFadingOut) const
| This returns the "result" of isVisible and shallBeShown: Something is indeed visible on the scene.
bool | isVisible () const
QList< QObject * > | items () const
| Returns all items under control.
void | removeItem (QObject *const object)
void | setAnimationDuration (int msecs)
void | setEasingCurve (const QEasingCurve &easing)
| Allows to change the default parameters of all animations.
bool | shallBeShown () const
State | state () const
QList< QObject * > | visibleItems (IncludeFadingOutMode mode=IncludeFadingOut) const
| Returns all currently visible items.

## Protected Slots
void | slotPropertiesAssigned (bool)
Protected Slots inherited from Digikam::ItemVisibilityController
void | animationFinished ()
void | objectDestroyed (QObject *)

## Protected Attributes
QObject * | m_object = nullptr
QByteArray | m_property
QVariant | m_value

## Additional Inherited Members
Public Types inherited from Digikam::ItemVisibilityController
enum | IncludeFadingOutMode { IncludeFadingOut , ExcludeFadingOut }
enum | State { Hidden , FadingIn , Visible , FadingOut }
| This class handles complex visibility situations for items. More...
Protected Member Functions inherited from Digikam::ItemVisibilityController
virtual QPropertyAnimation * | createAnimation (QObject *item)
| Creates the animation for showing and hiding the given item.
Properties inherited from Digikam::ItemVisibilityController
bool | shallBeShown
bool | visible

## Constructor & Destructor Documentation

## ◆ HidingStateChanger()

Digikam::HidingStateChanger::HidingStateChanger | ( | QObject *const | parent = `nullptr` | ) |
| explicit

Afterwards, the items are shown again. Note that the targetObject is not necessarily a controlled item!